Bug 43459 - Opening document fails when on samba mount with mixed OS windows/linux
Summary: Opening document fails when on samba mount with mixed OS windows/linux
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 48171 (view as bug list)
Depends on:
Blocks: Network
  Show dependency treegraph
 
Reported: 2011-12-02 01:29 UTC by luis.public.mail
Modified: 2017-02-14 14:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description luis.public.mail 2011-12-02 01:29:26 UTC
Hi,

i have a  samba share (NTFS) on a SAS which is exported by a server running ubuntu (10.04 lucid)(samba: Version 3.4.7) to the users on a mixed windows/linux environment.
When i open a "not shared" spreadsheet  first from a PC under linux (opensuse 11.3) and after from a windows PC (XP,Vista) everything works correctly. I have a warning saying that the document is used and that only a copy can be opened or with read-only mode. The same happens when both computers are running the same OS.

But when i open first on windows and after on linux, i have an error when opening the document on linux: "General input/output error while accessing /path/to/file".

Exactly the same behaviour happens if the spreadsheet is "shared".

It seems not to be related to a recent update because i have tried with 3.4.4 but also with older versions (3.4.2,3.2).

The smb.conf:

[STATIONS]
        path = /path/2/dir
        valid users =  user1, user2
        read only = No
        create mask = 0777

fstab on linux:

//path/2/stations /mnt/linuxdir      cifs    user,noauto,iocharset=utf8,noserverino
Comment 1 elicoten 2013-02-20 10:05:40 UTC
Same problem on LibreOffice 3.6.2.2, Ubuntu 12.10.

If a Windows user has a spreadsheet open, and then Libreoffice on Ubuntu tries to open the same file, a "General Input/Output error whilst accessing <filename>" occurs.

The file is saved on a Windows (Samba) share.
Comment 2 dg1727 2014-02-09 08:57:01 UTC
*** Bug 48171 has been marked as a duplicate of this bug. ***
Comment 3 Joel Madero 2015-05-02 15:43:42 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2016-09-20 09:37:29 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920